# Generated from cbor-packed-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cbor-packed

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: CBOR (Concise Binary Object Representation) packer
License: Apache-2.0
URL: http://cbor.io/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
BuildArch: noarch

%description
cbor-packed implements packed encoding for CBOR, RFC 7049 Section 3.9.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/cbor-packed.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.3-1
- Initial package
